SAP Knowledge Base Article - Preview

2994412 - 'java.lang.SecurityException: getImeiForSlot: The user does not meet the requirements to access device identifiers' when enrolling Android device

Symptom

When enrolling an Android 10 Device running the Afaria/Mobile Secure 6.60.28249.0 SP32 1912 client, enrollment fails with error:

'java.lang.SecurityException: getImeiForSlot: The user xxxxx does not meet the requirements to access device identifiers' (where xxxxx is a number)


Read more...

Environment

  • Afaria 7.0 (All Supported Service Packs)
  • Mobile Secure
  • Android 10.x device
  • Afaria/Mobile Secure Client 6.60.28249.0 SP32 1912

Product

SAP Afaria 7.0

Keywords

Samsung, enrol, unable to start activity,  ComponentInfo, com.Android.Afaria, com.Android.Afaria.AfariaMain , KBA , MOB-AFA , Afaria , MOB-SEC , Mobile Secure Portfolio (Cloud) incl Afaria Cloud Edition , Bug Filed

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.